
/* CAROUSEL GRID */

.l2-layout-grid-carousel .swiper-pagination {
    left: 0 !important;
  }
  
  .l2-layout-grid-carousel .dce-carousel-effect-slide {
    margin-bottom: 64px !important;
  }
  
  .l2-layout-grid-carousel .swiper-scrollbar {
    display: none;
  }
  
  .swiper-pagination-bullet {
    /* background: var(--e-global-color-primary) !important; */
  }
  
  .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
    /* background: var(--e-global-color-color_primary_light) !important; */
  }
  
  /* .l2-layout-grid-carousel .dce-dynamic-posts-collection {
    padding-left: var(--container-default-padding-left) !important;
    padding-right: var(--container-default-padding-right) !important;
  }
   */
   
  .l2-layout-grid-carousel .dce-carousel-controls {
    position: relative;
  }
  
  article:not(.type-case) .l2-layout-grid-carousel .dce-posts-container .elementor-button::after {
    content: "";
    background-image: url("/wp-content/uploads/2023/10/right.svg");
    background-position: center center;
    background-repeat: no-repeat;
    width: 30px;
    height: 10px;
    display: inline-block;
    transition: all 0.3s ease;
    margin: 0;
  }
  
  .l2-layout-grid-carousel .dce-posts-container .elementor-button:hover::after {
    margin-left: 8px;
  }
  
  /* BACKGROUND GRID */
  
  .l2-grid-background .dce-content-area.dce-item-area {
    position: absolute;
    margin: 0 !important;
    /* transform: translateY(-100%); */
    z-index: 100;
    height: 100% !important;
    width: 100% !important;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 24px !important;
  }
  
  .l2-grid-background .dce-post-block {
    height: 100% !important;
  }
  
  /* GRID FIX */
  
  .l2-grid-background .dce-item_custommeta,
  .l2-grid-background .dce-post-custommeta,
  .l2-grid-background .dce-post-custommeta a {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
  }
  
  .l2-grid-background .dce-post-custommeta a.dce-link {
      font-size: 0;
  }



  /* CAROUSEL GRID BULLETS CUSTOM */
    
.l2-content-media-layout-default .l2-media-container-right,
.l2-content-media-layout-default .dce-dynamic-posts-collection,
.l2-content-media-layout-default .dce-dynamic-posts-collection > .elementor-widget-container,
.l2-content-media-layout-default .dce-carousel-controls,
.swiper-pagination {
    position: static;
}

/* .dce-posts-container .dce-wrapper-carousel {
    transform: none !important;
} */

.l2-content-media-layout-default .dce-carousel-controls {
    bottom: 35%;
    /* position: absolute !important; */
    left: 8px;
}

.l2-content-media-layout-column .l2-media-container-right,
.l2-content-media-layout-column .dce-dynamic-posts-collection,
.l2-content-media-layout-column .dce-dynamic-posts-collection > .elementor-widget-container,
.l2-content-media-layout-column .dce-carousel-controls,
.swiper-pagination {
    position: static;
}

.l2-content-media-layout-column .dce-carousel-controls {
    bottom: 35%;
    /* position: absolute !important; */
    left: 8px;
}

.swiper-pagination-bullet::after,
.swiper-pagination-bullet::before {
    display: none;
}

.l2-content-media-layout-default.l2-layout-grid-carousel .l2-media-container-right .swiper-pagination,
.l2-content-media-layout-column.l2-layout-grid-carousel .l2-media-container-right .swiper-pagination {
    text-align: left !important;
    padding: 0 26px;
}


.l2-layout-grid-carousel .dce-container-pagination>.swiper-pagination-bullets.nav--shamso .swiper-pagination-bullet {
    width: 8px !important;
    height: 8px !important;
}

.view-more-button {
  cursor: pointer;
  display: flex;
    align-items: center;
    gap: 8px;
}

/* COLUMN COUNTS AND WIDTH */

.l2-grid-columns-1 .dce-post-item {
  width: calc(100% / 1) !important;
  flex: 0 1 calc(100% / 1) !important;
}
.l2-grid-columns-2 .dce-post-item {
  width: calc(100% / 2) !important;
  flex: 0 1 calc(100% / 2) !important;
}
.l2-grid-columns-3 .dce-post-item {
  width: calc(100% / 3) !important;
  flex: 0 1 calc(100% / 3) !important;
}
.l2-grid-columns-4 .dce-post-item {
  width: calc(100% / 4) !important;
  flex: 0 1 calc(100% / 4) !important;
}
.l2-grid-columns-5 .dce-post-item {
  width: calc(100% / 5) !important;
  flex: 0 1 calc(100% / 5) !important;
}
.l2-grid-columns-6 .dce-post-item {
  width: calc(100% / 6) !important;
  flex: 0 1 calc(100% / 6) !important;
}




@media screen and (max-width:1279px) {
    .l2-content-media-layout-default.l2-layout-grid-carousel .dce-container-pagination {
        position: relative;
    }
    .l2-content-media-layout-default.l2-layout-grid-carousel .l2-media-container-right .swiper-pagination {
        bottom: 0 !important;
        padding: 0 !important;
        position: relative;
    }
    .l2-content-media-layout-default.l2-layout-grid-carousel {
        flex-direction: column !important;
    }
    .l2-content-media-layout-default.l2-layout-grid-carousel .l2-textblock-container-left,
    .l2-content-media-layout-default.l2-layout-grid-carousel .l2-media-container-right {
        width: 100% !important;
    }
}


@media screen and (max-width:767px) {

  .l2-content-media-layout-default.l2-layout-grid-carousel .l2-media-container-right .dce-container-pagination.swiper-container-horizontal,
  .l2-content-media-layout-column.l2-layout-grid-carousel .l2-media-container-right .dce-container-pagination.swiper-container-horizontal {
      position: relative;
  }
  .l2-content-media-layout-default.l2-layout-grid-carousel .l2-media-container-right .swiper-pagination {
      top: 16px !important;
      margin: 0 32px !important;
  }

  .l2-content-media-layout-column.l2-layout-grid-carousel .l2-media-container-right .swiper-pagination {
      top: 16px !important;
      margin: 0 !important;
  }

}

/* POST GRID FIX */

.dce-post-item figure.dce-img {
  overflow: hidden;
  /* border-radius: 3px !important; */
}

/* OVERWRITE GLOBAL A STYLE */

[class*="elementor-kit"] .dce-posts a:not('.l2-job-btn') {
  color: inherit !important;
  font-family: inherit !important;
  font-size: inherit !important;
  font-weight: inherit !important;
  text-transform: inherit !important;
  line-height:inherit !important;
  letter-spacing: inherit !important;
}

.l2-post-content-container > div {
  column-gap: 64px !important;
}


